Debian Bug report logs - #696082
ITP: libmock-quick-perl -- Perl module for quick side-effect free mocking of objects and classes

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Sun, 16 Dec 2012 15:48:01 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libmock-quick-perl/1.104-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#696082; Package wnpp. (Sun, 16 Dec 2012 15:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 16 Dec 2012 15:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmock-quick-perl -- Perl module for quick side-effect free mocking of objects and classes
Date: Sun, 16 Dec 2012 16:45:39 +0100
Package: wnpp
Owner: gregor herrmann <gregoa@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libmock-quick-perl
  Version         : 1.104
  Upstream Author : Chad Granum <exodist7@gmail.com>
* URL             : https://metacpan.org/release/Mock-Quick/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : Perl module for quick side-effect free mocking of objects and classes

Mock::Quick is here to solve the current problems with Mocking libraries.

There are a couple Mocking libraries available on CPAN. The primary
problems with these libraries include verbose syntax, and most
importantly side-effects. Some Mocking libraries expect you to mock a
specific class, and will unload it then redefine it. This is
particularly a problem if you only want to override a class on a
lexical level.

Mock::Quick provides a declarative mocking interface that results in a
very concise, but clear syntax. There are separate facilities for
mocking object instances, and classes. You can quickly create an
instance of an object with custom attributes and methods. You can also
quickly create an anonymous class, optionally inhereting from another,
with whatever methods you desire.

Mock::Quick also provides a tool that provides an OO interface to
overriding methods in existing classes. This tool also allows for the
restoration of the original class methods. Best of all this is a
localized tool, when your control object falls out of scope the original
class is restored.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 17 Dec 2012 07:09:11 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 18:03:46 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 18:03:46 GMT) Full text and rfc822 format available.

Message #12 received at 696082-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 696082-close@bugs.debian.org
Subject: Bug#696082: fixed in libmock-quick-perl 1.104-1
Date: Wed, 09 Jan 2013 18:01:19 +0000
Source: libmock-quick-perl
Source-Version: 1.104-1

We believe that the bug you reported is fixed in the latest version of
libmock-quick-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696082@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libmock-quick-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Dec 2012 16:51:34 +0100
Source: libmock-quick-perl
Binary: libmock-quick-perl
Architecture: source all
Version: 1.104-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libmock-quick-perl - Perl module for quick side-effect free mocking of objects and cla
Closes: 696082
Changes: 
 libmock-quick-perl (1.104-1) unstable; urgency=low
 .
   * Initial release (closes: #696082).
Checksums-Sha1: 
 488c6b08d49bd8085b4ebfa22e24b664e48fb500 2189 libmock-quick-perl_1.104-1.dsc
 c5f09ccb2ce0b3d682b6121948103ea3395aca11 17009 libmock-quick-perl_1.104.orig.tar.gz
 4f6f734ae24e9af9d99eaae7b43cf8466d85cc9b 2675 libmock-quick-perl_1.104-1.debian.tar.gz
 ea31364f96c1cdd9db65ae56c8b0f763d63c8739 30694 libmock-quick-perl_1.104-1_all.deb
Checksums-Sha256: 
 a40445d08a9d2cc72b8a13df112b1869e92265d38f80f7a07aacac38f27f2808 2189 libmock-quick-perl_1.104-1.dsc
 13027b14e3fd0ba85cc224668403998e61cb92535a840b578ceb4f643bfe3774 17009 libmock-quick-perl_1.104.orig.tar.gz
 f5bc84771a42b74e589b105c3fd9b917223d1b7cc4d08229599aacf67acaa498 2675 libmock-quick-perl_1.104-1.debian.tar.gz
 8eb273938290235c0f72b0c668f39d1a75009b5a43cabe1321862e5468bee666 30694 libmock-quick-perl_1.104-1_all.deb
Files: 
 a65858535704848bc3b4d9d4337cbf0c 2189 perl optional libmock-quick-perl_1.104-1.dsc
 c077f0ab83eb3995888f2347c4979103 17009 perl optional libmock-quick-perl_1.104.orig.tar.gz
 3eac115936916115f4d67355a135f38b 2675 perl optional libmock-quick-perl_1.104-1.debian.tar.gz
 aa5e350b1c5d8bb12e275326afc48462 30694 perl optional libmock-quick-perl_1.104-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQze4kAAoJELs6aAGGSaoGmLUP/0o8dwiHKEOp0azYBjIwpahi
1gdvrq35tA4Kf7g9G5HscTLsl6d0+XvQlxrI0ZfUoiM4Zjs/ZEvRZSWEB8Ytruue
ujX9IT9Nl0MS74pdbyerAFtshapxfIEzUiJ4/8SaB6IKvJMftgUxxh3bttSH6vC4
9HsOszs2GDxGuWDjFTuE88SvVMiff3MntFjr3btQFgkdm6Ugwld/cQ/ZmVV3L0f4
oE9t1uDm2sFgtCcfSpjcxO0acJrgob4+/UqgurBGEYeI2+xVWf5eHowKeZOPggRH
mQlFNqo8sh1Po+nLlFx7JkHViJRmyvMoEY7qH15T7ShKc3aNBiclUmjS4o8HuH5V
3FKtBxtGpkyvhz6xFvSTAm60eiNEaWiHhIQwyM820q/DBHWZbYnDl6kbRmd78KcH
8nWsZRvJ69ANrkJhbDQUMMSIj+ljgg/k+xaz/ptAL7au1yWaLAA8POCFREgVqyQv
yq24TK59WVm76vJ9v8ET8ab/HaGZmmq135Xphv9mparx9kg2S076yXwZ+RTc3RwK
EcRSs1R/ydJ4RAYWwHJOkyeYmSCAmwjn/lR2wSysy9tR25/NyB1sDg5Mx2Z9raoM
6onQF8A6YkskVeJKJYnmzT7QsEcXUHf2y/j452wLeYX6UsWLNLnR0ZHz1OdVyseh
Vq/WZS/+NAtNOygZ2m68
=Si0a
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Feb 2013 07:29:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:07:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.